# droneProgram - Control drone through hand gestures
This is a semester project that recognizes hand gestures with Mediapipe that gets used to control a Tello drone.

## Requirements
### Hardware
- [x] A DJI Ryze Tello drone
- [X] Batteries for DJI Ryze Tello drone
- [X] A computer with a webcam

### Software
- [x] PyCharm (Version 3.8) or Visual Studio Code (1.56)
- [x] Python 3.8 or later
- [X] Pip 19.2.3 or later
- [X] Mediapipe 0.8.4.2 or later
- [X] Opencv-python 1.20.3 or later
- [X] Djitellopy 1.5 or later

## Directory
- main.py
- interface.py
- droneControls.py
- handDetector.py
- navigateDrone.py

## Hand gesture control
You must use your left hand
- Close hand to rotate clockwise
- To hower hold up pointer finger
- Move pointer finger into rectangles to take off and land
- Show pointer-, and middlefinger to move up and down
- Show pointer-, middle-, and ringfinger to move left and right
- Show open hand to move forward and backward
- Click on screen with mouse to swift between GUI

## Program demonstration
https://user-images.githubusercontent.com/72916303/120245973-2900aa80-c26f-11eb-86bb-a54e627039b5.mp4
